# $Revision: 1.6 $, $Date: 2011/09/25 12:30:01 $
Summary:	General purpose astronomy & astrodynamics library
Summary(pl.UTF-8):	Biblioteka astronomiczna i astrodynamiczna ogólnego przeznaczenia
Name:		libnova
Version:	0.14.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libnova/%{name}-%{version}.tar.gz
# Source0-md5:	e81a00efedfa3043cd6018383e8a0438
URL:		http://libnova.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnova is a general purpose, double precision, celestial mechanics,
astrometry and astrodynamics library.

%description -l pl.UTF-8
Libnova to ogólnego przeznaczenia biblioteka funkcji podwójnej
precyzji z dziedziny mechaniki ciał niebieskich, astrometrii i
astrodynamiki.

%package devel
Summary:	Header files for libnova
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnova
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libnova.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnova.

%package static
Summary:	Static libnova library
Summary(pl.UTF-8):	Statyczna biblioteka libnova
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnova library.

%description static -l pl.UTF-8
Statyczna biblioteka libnova.

%prep
%setup -q

%build
%configure
%{__make} \
       CFLAGS="%{rpmcflags}" \
       LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/libnovaconfig
%attr(755,root,root) %{_libdir}/libnova-0.14.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnova-0.14.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnova.so
%{_libdir}/libnova.la
%{_includedir}/libnova

%files static
%defattr(644,root,root,755)
%{_libdir}/libnova.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnova.spec,v $
Revision 1.6  2011/09/25 12:30:01  qboosh
- updated to 0.14.0 (note: new soname); tarball on sf has been fixed

Revision 1.5  2011/08/22 06:03:02  qboosh
- updated to 0.13.0
- pl

Revision 1.4  2008/07/26 12:59:47  paszczus
- do not package INSTALL file

Revision 1.3  2008/07/26 11:45:06  paszczus
- attr 755 for libnova.so

Revision 1.2  2008/07/26 11:35:48  paszczus
- separate -static subpackage
- .la moved to -devel subpackage
- proper use of CFLAGS

Revision 1.1  2008/07/26 10:50:47  paszczus
- initial spec
